"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const actions_1 = require("../../components/CioQuiz/actions");
const useQuizAnswerChangeHandler = (quizApiState, dispatchLocalState) => {
    const quizAnswerChangedHandler = (0, react_1.useCallback)((payload) => {
        var _a, _b;
        const questionType = (_b = (_a = quizApiState.quizCurrentQuestion) === null || _a === void 0 ? void 0 : _a.next_question) === null || _b === void 0 ? void 0 : _b.type;
        const currentQuestion = quizApiState.quizCurrentQuestion;
        if (currentQuestion === null || currentQuestion === void 0 ? void 0 : currentQuestion.next_question) {
            switch (questionType) {
                case actions_1.QuestionTypes.Cover:
                    dispatchLocalState({
                        type: actions_1.QuestionTypes.Cover,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: '',
                            isLastQuestion: currentQuestion.is_last_question,
                        },
                    });
                    break;
                case actions_1.QuestionTypes.OpenText:
                    dispatchLocalState({
                        type: actions_1.QuestionTypes.OpenText,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: payload,
                            isLastQuestion: currentQuestion.is_last_question,
                        },
                    });
                    break;
                case actions_1.QuestionTypes.SingleSelect:
                case actions_1.QuestionTypes.MultipleSelect:
                    dispatchLocalState({
                        type: currentQuestion.next_question.type,
                        payload: {
                            questionId: currentQuestion.next_question.id,
                            input: payload,
                            isLastQuestion: currentQuestion.is_last_question,
                        },
                    });
                    break;
                default:
                    break;
            }
        }
    }, [quizApiState, dispatchLocalState]);
    return quizAnswerChangedHandler;
};
exports.default = useQuizAnswerChangeHandler;
