import { useCallback, useReducer } from 'react';
import quizLocalReducer, { initialState } from '../../components/CioQuiz/quizLocalReducer';
import { logger } from '../../utils';
const useQuizLocalState = () => {
    const [quizLocalState, dispatch] = useReducer(quizLocalReducer, initialState);
    const dispatchLocalState = useCallback((action) => {
        logger(action);
        dispatch(action);
    }, []);
    return {
        quizLocalState,
        dispatchLocalState,
    };
};
export default useQuizLocalState;
